#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/eeprom.h>
#include <avr/pgmspace.h>
#include <avr/delay.h>
#include <LCD1602.c>
#include <ds18b20A.c>

#define uchar unsigned char
#define uint unsigned int
#define ulong unsigned long



void s_ini(void)
{DDRA=0xff;
 DDRB=0xff;
 ini_ds();
}

void dyy(uint t)
{while(t--)
  dy(1000);
}

int main(void)
{uint u;
 uint c1;
 uint c0;
 uchar c2;
 u=0;
 s_ini(); 
 wsc("The temperature","is:    .");
 while(1)
  {s_ds();
   dyy(1000);
   
   u=r_ds();
   //u=0x0191;
   c1=u/16;
   c0=u%16;
   go(4,1);
   wn(c1/100);
   wn((c1%100)/10);
   wn(c1%10);
   go(8,1);
   c0*=625;
   wn(c0/1000);
   wn((c0%1000)/100);
   wn((c0%100)/10);
   wn(c0%10); 
   c2++;
   if(c2>=10) c2=0;
   go(15,1);
   wn(c2);    
  }
}
