/* 
******************************************************** 
*   ļ:   ds18b20.c 
*   :   AVR΢ VS ¶оƬDS18B20(TO-92) 
*   :   WinAVR20040404(AVR-GCC) 
*   :   (qjy_dali) 
*   E-mail: qjy_dali@sohu.com 
*   :   6/02/2004 
*   汾:   1.41 
*   :   ؿƻ޸򣬵ע 
*          ޸ġ߲ĺ 
*          ȷģ(^_^)ܵģ 
*          ȷܵġ֧һGCC!!! 
******************************************************** 
*/ 

#ifndef  _DS18B20_C_ 
#define  _DS18B20_C_ 


/*      ҵһ¶оƬDS18B20ӵAVR΢ATmega8 
*  -16PI(PDIP28)PD3(INT1)ţֻPD3ܶ 
*  ûʹжINT1ܡDS18B20(TO-92)£ 
*  +-------------+-------------------------------------+ 
*  | Pin-1(GND)  | GND(ground)                         | 
*  +-------------+-------------------------------------| 
*  | Pin-2(DQ)   | ͨ240ŷķĵӵATmega8    | 
*  |             | PD3ţͬʱһ3Kĵ   | 
*  |             | VCC(5V)                           | 
*  +-------------+-------------------------------------+ 
*  | Pin-3(VD)   | GND(ground)                         | 
*  +-------------+-------------------------------------+ 
*      ˵ȻҲõ"Ե"ģʽDS- 
*  18B20ֲϿɵĹģʽ֮һ240ŷķ 
*  Ϊ˷ֹȱݵûDS18B20Ŀԡ磬 
*  ûûȷOC(缫·)OD(©·)ṹȥ 
*  DS18B20ǴѡʽṹDS18B20 
*  "Ű"һʱ""(^_^)Ȼ240ŷķ 
*  ȡֵδǡģ߿ԼȥŻҪϸ 
*  Ķֲᡣ 
* 
*      ⣬ҲDS18B20ĬϾ(12λ)δ޸ģ 
*  Ҳûʹܡֻ֮һ򵥵Ķȡ¶ 
*  ʵûԼȥĽԼȥоֲ(Ҳδȫ 
*  ֻ뿴һ ^_^ )ҿԿ϶һ㣬 
*  ʵ!ҳɹضȡ¶ֵ! 
* 
*      עDS18B20ģAVRķĴ 
*  ˿ڼĴ! ͬʱԤ˿ڼĴд0 
*  ʵ൱һ̬ţֻ뱻ӵأʹһ 
*  OCţʹܶ˳OCŵʵ! 
* 
*      1-wireߵĵI2Cƣ빦ܣ 
*  ԣϵһ豸ںʵʱǿߣ 
*  Ҫָߵƽÿһ豸ͷߡ 
*  DQ_TO_1()ֻͷߣ˵һǿ 
*  ߵƽߵĸߵƽʵֵġ 
*/ 
#define  DQ_18B20       (1<<3)                // PD3 
#define  DQ_TO_0()      (DDRD |=  DQ_18B20)   // PD3='0' 
#define  DQ_TO_1()      (DDRD &= ~DQ_18B20)   // PD3='float' 
#define  DQ_status()    (PIND & DQ_18B20)     // read PD3 pin 

/*     AVR΢ʱƵ! رע⣺Ƶ 
* ĵλMHz! ʹø! ľ12MHz 
* Ӧд12.000012.0֮ࡣ 
*     ҵʵ·ľǣ11.0592MHz 
*/ 
#ifndef  CPU_CRYSTAL 
#define  CPU_CRYSTAL    (11.0592) 
#endif 

/*     WinAVRϵͳṩʱͷļ"delay.h"и 
*  ʱģ飬16λǸ(16-bit count, 4 cycles/l- 
*  oop.)ϸ뿴ͷļ 
*/ 
#define  wait_us(us)\ 
    _delay_loop_2((INT16U)((us)*CPU_CRYSTAL/4)) 

/*---------------- ԭ ------------------*/ 
// 1ʼģ 
void   ds18b20_config(void);       // ö˿ 

// 3ģ 
BOOL   ds18b20_reset(void);        // λDS18B20 
void   ds18b20_write(INT8U dat);   // дֽڵDS18B20 
INT8U  ds18b20_read(void);         // ֽڴDS18B20 

// 2Ӧģ 
void   convert_T(void);            // ¶ת 
INT16U read_T(void);               // ȡתֵ 


/*------------------------------------------------------- 
*  (ʹ)AVRDS18B20Ľӿ 
*/ 
void ds18b20_config(void) 
{ 
    DDRD  &= ~DQ_18B20;   // ģʽ(ϵʱΪߵƽ) 
    PORTD &= ~DQ_18B20;   // д0Ժٸ 
} 

/*------------------------------------------------------- 
*    λ1-wireߣ̽Ƿ¶оƬDS18B20(TO-92 
*  װ)ϣзSUCCûзFAIL 
*/ 
BOOL ds18b20_reset(void) 
{ 
    BOOL bus_flag; 

    DQ_TO_0();      // 1-wireΪ͵ƽ(ռ)... 

    /* ӳ480us~960us, ӲأӦѡСֵ(480us) 
       Ѷϵͳ(ӳڼ䷢жϵӳٱ䳤) 
     */ 
    wait_us(490);   // 490us 

    cli();          // ʱҪȽϸΪж 
    DQ_TO_1();      // 1-wireΪߵƽ(ͷ) 
     
    /* ɱõģMCUʱʱģ 
       ԲռûMCUʱ䣬ص(ǰĺͿȷ) 
     */ 
    wait_us(67.5);  // ʱ: 60us+7.5us!(æʱֻһֲ) 
     
    // ̽Ƿ     
    if(DQ_status()) bus_flag=FAIL;   // λߵûз 
    else bus_flag=SUCC;              // λ߲ 
     
    sei();          // ˳ٽ(ж) 

    /* ֤Masterͷߵʱ(˵ߴڸߵƽʱ)С 
       480usɣһʱӶ״̬֮ǰͿʼˣ 
       ʱڡMasterͷߵǰΣҲǱ 
       ֮ʱ 
     */ 
    wait_us(490-67.5);   // 490-67.5us 

    return(bus_flag); 
} 

/*-------------------------------------------------------- 
*  дݵ¶оƬDS18B20(һֽ) 
*/ 
void ds18b20_write(INT8U dat) 
{ 
    INT8U count; 

    // ÿֽڹ8λһηһλ 
    for(count=0; count<8; count++) { 
        cli();                   // ֤Բᷢж! 
        DQ_TO_0();               // 1-wireΪ͵ƽ 
        wait_us(2);              // about 2us 
         
        if(dat&0x01) DQ_TO_1();  // תȵλλ 
        else DQ_TO_0(); 
        dat >>= 1;               // һλ׼ 
         
        // 60us~120us(ʵʲܵ120us, ΪҲʱ!) 
        wait_us(62);             // 62us 
         
        DQ_TO_1(); 
        sei();                   // ָϵͳж 
        wait_us(2);              // 2us 
    } 
} 

/*--------------------------------------------------------- 
*  ¶оƬDS18B20û(һֽ) 
*/ 
INT8U ds18b20_read(void) 
{ 
    INT8U count,dat; 

    dat = 0x00;       // ݽ׼ 
     
    // ÿֽڹ8λһһλ 
    for(count=0; count<8; count++) { 
        cli();        // ֤Բᷢж! 
         
        // ͵״̬ܴ15us! 
        DQ_TO_0();    // 1-wireΪ͵ƽ(ͬ) 
        wait_us(2);   // 2us 
        DQ_TO_1();    // 1-wireΪߵƽ(ͷ) 
        wait_us(4);   // 4us         
        dat >>= 1; 
        if(DQ_status()) dat|=0x80;   // ȡߵƽյλոλ 
         
        sei();        // ָϵͳж 
        wait_us(62);  // 60us 
    } 
    return(dat); 
} 

/*------------------------------------------------------- 
*     ҵĵ·ֻһDS18B20ԲҪID 
*  ʶ֮¶תûӦȴٸ 
*  룬ܶεתֵDS18B20ֲ涨ġ 
*  Ϊ¶תҪʱ!(^_^) 
*/ 
void convert_T(void) 
{ 
    if(ds18b20_reset()==SUCC) {  // λɹ 
        ds18b20_write(0xcc);     // ʶ 
        ds18b20_write(0x44);     // ¶ת 
    } 
} 

/*------------------------------------------------------- 
*  ȡת¶ֵ 
*  ҼٶDS18B20һȷģûзй״̬ 
*  DS18B20ӵ·а¶óʱԼ 
*  δ! 
*/ 
INT16U read_T(void) 
{ 
    INT16U value=0; 
     
    if(ds18b20_reset()==SUCC) {  // λɹ 
        ds18b20_write(0xcc);     // ʶ 
        ds18b20_write(0xbe);     // ݴ 
        value  = (INT16U)ds18b20_read();       // ֽ 
        value += (INT16U)(ds18b20_read())<<8;  // ֽ 
    } 
    return(value); 
} 


#endif 
/* ļds18b20.c */ 